Razberry 3.0.4 - dependency/libraries

Discussions about Z-Way software and Z-Wave technology in general
Post Reply
CorC
Posts: 4
Joined: 10 Aug 2017 10:34

Razberry 3.0.4 - dependency/libraries

Post by CorC » 26 Mar 2020 15:47

Hi,

I was wondering if you've any upcoming plans to "upgrade" the "libwebsockets" dependency of Z-way-server, and how much effort it would represent.

It's currently stuck at ABI version 8, which translates to libwebsocket version 2.0.2, which dates back to 2016.

The most recent stable version is 4.0.1, which is at ABI version 16.

The following URL shows the development of libwebsockets over these past years.

https://abi-laboratory.pro/?view=timeli ... websockets

Honestly anything above 3.2.x would already be great.

Kind regards,

Cor

User avatar
PoltoS
Posts: 5384
Joined: 26 Jan 2011 19:36

Re: Razberry 3.0.4 - dependency/libraries

Post by PoltoS » 30 Mar 2020 01:03

We try to use standard packages from Raspbian where possible.

Currently Buster provides: /usr/lib/arm-linux-gnueabihf/libwebsockets.so.8

Post Reply